# multiChangeMeta

multiChangeMeta命令用于批量修改元数据

```
ks3util multiChangeMeta - Batch change user meta
```

## 命令格式 

``` {#codeblock_iqe_41b_uc4}
./ks3util multiChangeMeta { ks3_path }  [ -m <metaType> ] [ -i <meta_info> ] [ {-h | --help} ] [ -f <failKeys_file> ] [ -s <storage_type> ] [ -a <acl> ]
```

## 使用示例

- 修改指定桶下路径中文件的元素头 修改失败的放入fail.txt文件中，可同时修改访问权限（使用-a参数）以及存储类型（使用-s参数）

``` {#codeblock_tzz_thx_qmu}
 # 修改桶 bucketName 中 prefix 目录下的文件头元素 新增两个元素头：key为yourMetaKey1，yourMetaKey2，value为yourMetaValue1，yourMetaValue2
  ./ks3util multiChangeMeta ks3://bucketName/prefix/ -f fail.txt -m add -i yourMetaKey1=yourMetaValue1#yourMetaKey2=yourMetaValue2
  
 # 修改桶 bucketName 中 prefix 目录下的文件头元素 修改原有的两个元素头：key为yourMetaKey1，value为yourMetaValue1
  ./ks3util multiChangeMeta ks3://bucketName/prefix/ -f fail.txt -m rewrite -i yourMetaKey1=yourMetaValue1
  
 # 修改桶 bucketName 中 prefix 目录下的文件头元素 修改原有的两个元素头：key为yourMetaKey1，value为yourMetaValue1 同时设置ACL为公开：且存储类型设置为低频
 ./ks3util multiChangeMeta ks3://bucketName/prefix/ -f fail.txt -m rewrite -i yourMetaKey1=yourMetaValue1 -a PublicRead -s STANDARD_IA
  
    All files change meta success,totalKeys=9,filterFetchKeys=0,failKeys=0
```
## 常用选项 

您可以在使用`multiChangeMeta`命令时附加如下选项指定列举模式及列举的内容：

| 选项名称  | 描述      | 是否必填 |
| --------- | ------------------------------------ |--------- |
| `-m`      | 值：add \rewrite 新增或修改元数据 |是|
| `-f`       | 将删除失败的objectkey保存到文件中 |是|
| `-i`      | 设置的元数据信息 格式为 key=value#key=value 使用utf-8编码 自定义的元素头将保存为x-kss-meta开头 |是|
| `-a`      | 文件访问权限ACL 值：Private \ PublicRead |否|
| `-s`      | 文件存储类型 值：STANDARD \ STANDARD_IA \ ARCHIVE |否|




